/*
 * Copyright 2014 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.frankmuenster.jameica.qrcodehandler.BezahlcodeHandlers;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang.SystemUtils;

/**
 * @author munstfr
 * 
 */
class BezahlCodeCommenFunctions {

	// public static String getQuestion;
	protected final static String QUESTION_TEXT = "Das Namenfeld beinhaltet nur Grobuchstaben. "
			+ "Soll er in Gro/Kleinschreibung" + SystemUtils.LINE_SEPARATOR
			+ "umgewandelt in werden (nur fr Wter mit mehr als 3 Buchstaben)?"
			+ SystemUtils.LINE_SEPARATOR
			+ SystemUtils.LINE_SEPARATOR
			+ "Name: {0}" + SystemUtils.LINE_SEPARATOR;

	/**
	 * Speichert die Query-Elemente einer URL in einem Map Object
	 * 
	 * @param query
	 *            URL mit query Elemeten
	 * @return Map-Object mit query-Elemenen als named pairs.
	 */
	protected static Map<String, String> getQueryMap(String query) {
		String[] params = query.split("&");
		Map<String, String> map = new HashMap<String, String>();
		for (String param : params) {
			String[] values = param.split("=");
			if (values.length > 0) {
				String name = values[0].toLowerCase();
				String value = "";
				if (values.length > 1) {
					value = param.split("=")[1];
				}
				map.put(name, value);
			}
		}
		return map;
	}

	/**
	 * Wandelt den Eingabe-String in erstes Wortzeichen Gro- und den Rest in
	 * Kleinbuchstaben um.
	 * 
	 * @param text
	 * @return String mit jeweils ersten Wortzeichen in Grobuchstabe
	 */
	protected static String formatString(String text) {
		if ((text == null) || (text.equals(""))) {
			return text;
		}

		String cleanName = "";
		String[] nameTildes = text.split(" ");

		for (int i = 0; i < nameTildes.length; i++) {
			if (nameTildes[i].length() > 3) {
				cleanName += nameTildes[i].substring(0, 1).toUpperCase()
						+ nameTildes[i].substring(1).toLowerCase() + " ";
			} else {
				cleanName += nameTildes[i] + " ";
			}
		}
		return cleanName.substring(0, cleanName.length() - 1);
	}

}
